Panda3D

Loading...
Searching...
No Matches
Functions | Variables
direct.p3d.pdeploy Namespace Reference

## Functions
| usage (code, msg='')

## Variables
| appFilename = Filename.fromOsSpecific(args[0])
| args
str | authoremail = ""
str | authorid = ""
str | authorname = ""
| basename
bool | currentPlatform = False
| deploy_mode = args[1].lower()
list | DEPLOY_MODES = ["standalone", "installer", "html"]
bool | failed = False
str | fullname = ""
| h
| html = open(Filename(outputDir, shortname + ".html").toOsSpecific(), "w")
| i = Installer(appFilename, shortname, fullname, version, tokens = tokens)
| icon
list | iconFiles = []
bool | includeRequires = False
| licensefile = Filename()
str | licensename = ""
str | msg = 'illegal option: ' + flag
| offerDesktopShortcut
| offerRun
bool | omitDefaultCheckboxes = False
| opts
| output = Filename(outputDir, platform + "/")
| outputDir = Filename("./")
| platform = PandaSystem.getPlatform()
list | platforms = []
| s = Standalone(appFilename, tokens)
str | shortname = ""
| token = arg.strip().split("=", 1)
dict | tokens = {}
str | usageText
str | version = ""
| w

## Function Documentation

## ◆ usage()

usage | ( |  | code,
|  |  | msg = '' )

## Variable Documentation

## ◆ appFilename

appFilename = Filename.fromOsSpecific(args[0])

## ◆ args

args

## ◆ authoremail

authoremail = ""

## ◆ authorid

authorid = ""

## ◆ authorname

authorname = ""

## ◆ basename

basename

## ◆ currentPlatform

bool currentPlatform = False

## ◆ deploy_mode

deploy_mode = args[1].lower()

## ◆ DEPLOY_MODES

list DEPLOY_MODES = ["standalone", "installer", "html"]

## ◆ failed

bool failed = False

## ◆ fullname

fullname = ""

## ◆ h

h

## ◆ html

html = open(Filename(outputDir, shortname + ".html").toOsSpecific(), "w")

## ◆ i

i = Installer(appFilename, shortname, fullname, version, tokens = tokens)

## ◆ icon

icon

## ◆ iconFiles

list iconFiles = []

## ◆ includeRequires

bool includeRequires = False

## ◆ licensefile

licensefile = Filename()

## ◆ licensename

licensename = ""

## ◆ msg

str msg = 'illegal option: ' + flag

## ◆ offerDesktopShortcut

offerDesktopShortcut

## ◆ offerRun

offerRun

## ◆ omitDefaultCheckboxes

bool omitDefaultCheckboxes = False

## ◆ opts

opts

## ◆ output

output = Filename(outputDir, platform + "/")

## ◆ outputDir

outputDir = Filename("./")

## ◆ platform

platform = PandaSystem.getPlatform()

## ◆ platforms

list platforms = []

## ◆ s

s = Standalone(appFilename, tokens)

## ◆ shortname

shortname = ""

## ◆ token

token = arg.strip().split("=", 1)

## ◆ tokens

dict tokens = {}

## ◆ usageText

str usageText

## ◆ version

version = ""

## ◆ w

w